{% extends 'base.html.twig' %}

{% block title %}Import des produits{% endblock %}

{% block body %}
    <div class="container-fluid">
        <div class="card">
            <div class="card-header">
                <h1 class="card-title">Importez vos produits</h1>
            </div>
            <div class="card-body">
                <h2>Import des produits</h2>
                <p>
                    Importez vos produits grâce à un export CSV en reliant chaque colonne à la case correspondante
                </p>
                <hr>
                <p class="import-product-start">
                    Import des produits... <i class="mdi mdi-spin mdi-cog"></i>
                </p>
                <div class="imported-products"></div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $(function () {
            $.ajax({
                url: '{{ path('dashboard_product_import_start_import_js') }}',
                type: 'post'
            }).done(function (jqxhr) {
                $('.import-product-start').remove();
                $('.imported-products').html(jqxhr);
            })
        })
    </script>
{% endblock %}